<?xml version="1.0" encoding="UTF-8"?>
<ui>
  <menubar>
    <menu name="FileMenu" action="StockFileMenu">
      <menuitem name="NewWindow" action="NewWindow" />
      <menuitem name="NewTab" action="NewTab" />
      <separator name="file-sep1" />
      <menuitem name="Print" action="Print" />
      <separator name="file-sep2" />
      <menuitem name="CloseTab" action="CloseTab" />
      <menuitem name="CloseWindow" action="CloseWindow" />
    </menu>

    <menu name="EditMenu" action="StockEditMenu">
      <menuitem name="Cut" action="Cut" />
      <menuitem name="Copy" action="Copy" />
      <menuitem name="Paste" action="Paste" />
      <separator name="edit-sep1" />
      <menuitem name="SelectAll" action="SelectAll" />
      <separator name="edit-sep2" />
      <menuitem name="Preference" action="Preference" />
    </menu>

    <menu name="ViewMenu" action="StockViewMenu">
      <menuitem name="StopReload" action="StopReload" />
      <placeholder name="EncodingPlaceholder" />
      <separator name="view-sep1" />
      <menu name="UILevelMenu" action="StockUILevelMenu">
        <menuitem name="UILevelBeginner" action="UILevelBeginner" />
        <menuitem name="UILevelMedium" action="UILevelMedium" />
        <menuitem name="UILevelExpert" action="UILevelExpert" />
      </menu>
    </menu>

    <menu name="GoMenu" action="StockGoMenu">
      <menuitem name="Back" action="Back" />
      <menuitem name="Forward" action="Forward" />
      <menuitem name="PrevTab" action="PrevTab" />
      <menuitem name="NextTab" action="NextTab" />
    </menu>

    <menu name="BookmarksMenu" action="StockBookmarksMenu">
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
      <menuitem name="EditBookmarkBars" action="EditBookmarkBars" />
      <separator name="bookmarks-sep1" />
    </menu>

    <menu name="HelpMenu" action="StockHelpMenu">
      <menuitem name="OpenKazehakaseWebsite" action="OpenKazehakaseWebsite" />
      <separator name="help-sep1" />
      <menuitem name="About" action="About" />
    </menu>
  </menubar>


  <toolbar name="MainToolBar">
    <toolitem name="BackButton" action="Back" />
    <toolitem name="ForwardButton" action="Forward" />
    <toolitem name="StopReloadButton" action="StopReload"/>
    <toolitem name="PrintButton" action="Print" />
    <toolitem name="LocationEntry" action="LocationEntry" />
    <toolitem name="GotoLocation" action="GotoLocation" />
  </toolbar>


  <!-- popups -->
    <popup name="DocumentPopup">
      <menuitem name="StopReload" action="StopReload"/>
      <menuitem name="Back" action="Back"/>
      <menuitem name="Forward" action="Forward"/>
      <separator name="document-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
    </popup>

    <popup name="LinkPopup">
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <separator name="link-pop-sep1"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
    </popup>

    <popup name="ImagePopup">
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <separator name="image-pop-sep1"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
    </popup>

    <popup name="LinkImagePopup">
      <menuitem name="CopyLinkLocation" action="CopyLinkLocation"/>
      <menuitem name="OpenLinkInNewTab" action="OpenLinkInNewTab"/>
      <menuitem name="OpenLinkInNewWindow" action="OpenLinkInNewWindow"/>
      <menuitem name="SaveLink" action="SaveLink"/>
      <separator name="link-image-pop-sep1"/>
      <menuitem name="CopyImageLocation" action="CopyImageLocation"/>
      <menuitem name="OpenImageInNewTab" action="OpenImageInNewTab"/>
      <menuitem name="OpenImageInNewWindow" action="OpenImageInNewWindow"/>
      <menuitem name="SaveImage" action="SaveImage"/>
    </popup>

    <popup name="InputPopup">
      <menuitem name="Cut" action="Cut"/>
      <menuitem name="Copy" action="Copy"/>
      <menuitem name="Paste" action="Paste"/>
    </popup>

    <popup name="TabPopup">
      <menuitem name="TabReload" action="TabReload"/>
      <menuitem name="TabStop" action="TabStop"/>
      <separator name="tappop-sep1"/>
      <menuitem name="TabClose" action="TabClose"/>
    </popup>

    <popup name="BookmarkPopup">
      <menuitem name="AddBookmark" action="AddBookmark" />
      <menuitem name="RemoveBookmark" action="RemoveBookmark" />
      <menuitem name="EditBookmarks" action="EditBookmarks" />
    </popup>
  <!-- /popups -->
</ui>
